> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Seller Profile

> Get public seller profile by display_name_slug.



## OpenAPI

````yaml /openapi.json get /v1/sellers/{slug}
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/sellers/{slug}:
    get:
      tags:
        - sellers
      summary: Get Seller Profile
      description: Get public seller profile by display_name_slug.
      operationId: get_seller_profile_v1_sellers__slug__get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SellerPublicProfile'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SellerPublicProfile:
      properties:
        display_name_slug:
          type: string
          title: Display Name Slug
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        github_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Github Username
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Website Url
        github_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Github Url
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedin Url
        twitter_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Twitter Url
        verified:
          type: boolean
          title: Verified
        joined_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Joined At
        total_skills:
          type: integer
          title: Total Skills
        total_downloads:
          type: integer
          title: Total Downloads
        skills:
          items:
            $ref: '#/components/schemas/SellerSkillPreview'
          type: array
          title: Skills
          default: []
      type: object
      required:
        - display_name_slug
        - verified
        - total_skills
        - total_downloads
      title: SellerPublicProfile
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SellerSkillPreview:
      properties:
        slug:
          type: string
          title: Slug
        title:
          type: string
          title: Title
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        long_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Long Description
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        price_cents:
          type: integer
          title: Price Cents
        currency:
          type: string
          title: Currency
        version:
          type: string
          title: Version
        security_status:
          type: string
          title: Security Status
        download_count:
          type: integer
          title: Download Count
      type: object
      required:
        - slug
        - title
        - price_cents
        - currency
        - version
        - security_status
        - download_count
      title: SellerSkillPreview
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````